> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a plugin assignment

> Update the plugin metadata for an existing assignment without deleting it first



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json put /v0/plugin-assignments
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/plugin-assignments:
    put:
      tags:
        - plugin-assignments
      summary: Update a plugin assignment
      description: >-
        Update the plugin metadata for an existing assignment without deleting
        it first
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Plugin Assignment ID
          in: query
          name: assignment_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.UpdatePluginAssignmentRequest'
        description: Plugin assignment update details
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PluginAssignmentResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.UpdatePluginAssignmentRequest:
      properties:
        plugin_id:
          type: string
        plugin_name:
          type: string
        required:
          type: boolean
        source_type:
          type: string
        source_value:
          type: string
        version:
          type: string
      type: object
    models.PluginAssignmentResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        mc_network_id:
          type: string
        persistent_server_id:
          type: string
        plugin_id:
          type: string
        plugin_name:
          type: string
        required:
          type: boolean
        server_group_id:
          type: string
        source_type:
          type: string
        source_value:
          type: string
        updated_at:
          type: string
        version:
          type: string
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````